summaryrefslogtreecommitdiff
path: root/src/gfeditor.in
diff options
context:
space:
mode:
authoraarne <aarne@cs.chalmers.se>2008-06-25 16:54:35 +0000
committeraarne <aarne@cs.chalmers.se>2008-06-25 16:54:35 +0000
commite9e80fc389365e24d4300d7d5390c7d833a96c50 (patch)
treef0b58473adaa670bd8fc52ada419d8cad470ee03 /src/gfeditor.in
parentb96b36f43de3e2f8b58d5f539daa6f6d47f25870 (diff)
changed names of resource-1.3; added a note on homepage on release
Diffstat (limited to 'src/gfeditor.in')
-rw-r--r--src/gfeditor.in42
1 files changed, 42 insertions, 0 deletions
diff --git a/src/gfeditor.in b/src/gfeditor.in
new file mode 100644
index 000000000..129cd5e1f
--- /dev/null
+++ b/src/gfeditor.in
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+prefix="@prefix@"
+
+case "@host@" in
+ *-cygwin)
+ prefix=`cygpath -w "$prefix"`;;
+esac
+
+exec_prefix="@exec_prefix@"
+GF_BIN_DIR="@bindir@"
+GF_DATA_DIR="@datadir@/GF-@PACKAGE_VERSION@"
+
+JAVA="@JAVA@"
+
+GF="$GF_BIN_DIR/gf"
+JARFILE="$GF_DATA_DIR/gfeditor.jar"
+
+if [ ! -x "${JAVA}" ]; then
+ JAVA=`which java`
+fi
+
+if [ ! -x "${JAVA}" ]; then
+ echo "No Java VM found."
+ exit 1
+fi
+
+if [ ! -r "${JARFILE}" ]; then
+ echo "Cannot read JAR file ${JARFILE}."
+ exit 1
+fi
+
+if [ ! -x "${GF}" ]; then
+ GF=`which gf`
+fi
+
+if [ ! -x "${GF}" ]; then
+ echo "GF not found."
+ exit 1
+fi
+
+exec "${JAVA}" -jar "${JARFILE}" -g "${GF}" $*